org.apache.nutch.util.domain

## Enum DomainSuffix.Status

- java.lang.Object
- - java.lang.Enum<DomainSuffix.Status>
  - - org.apache.nutch.util.domain.DomainSuffix.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DomainSuffix.Status>
  Enclosing class:
    DomainSuffix

      public static enum DomainSuffix.Status
      extends java.lang.Enum<DomainSuffix.Status>

  Enumeration of the status of the tld. Please see domain-suffixes.xml.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETED`
    `DEPRECATED`
    `IN_USE`
    `INFRASTRUCTURE`
    `NOT_IN_USE`
    `PROPOSED`
    `PSEUDO_DOMAIN`
    `REJECTED`
    `SPONSORED`
    `STARTUP`
    `UNSPONSORED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DomainSuffix.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DomainSuffix.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFRASTRUCTURE

          public static final DomainSuffix.Status INFRASTRUCTURE

    - #### SPONSORED

          public static final DomainSuffix.Status SPONSORED

    - #### UNSPONSORED

          public static final DomainSuffix.Status UNSPONSORED

    - #### STARTUP

          public static final DomainSuffix.Status STARTUP

    - #### PROPOSED

          public static final DomainSuffix.Status PROPOSED

    - #### DELETED

          public static final DomainSuffix.Status DELETED

    - #### PSEUDO_DOMAIN

          public static final DomainSuffix.Status PSEUDO_DOMAIN

    - #### DEPRECATED

          public static final DomainSuffix.Status DEPRECATED

    - #### IN_USE

          public static final DomainSuffix.Status IN_USE

    - #### NOT_IN_USE

          public static final DomainSuffix.Status NOT_IN_USE

    - #### REJECTED

          public static final DomainSuffix.Status REJECTED

  - ### Method Detail

    - #### values

          public static DomainSuffix.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DomainSuffix.Status c : DomainSuffix.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DomainSuffix.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2019 The Apache Software Foundation